server.port=${SERVER_PORT:8080}

server.compression.enabled=true

server.compression.mime-types=text/html,text/xml,text/plain,text/css,text/javascript,application/javascript,application/json

server.compression.min-response-size=1024

spring.servlet.multipart.enabled=true
spring.servlet.multipart.max-file-size=8MB

server.http2.enabled=true

# Redis
spring.data.redis.host=${REDIS_HOST:redis}
spring.data.redis.port=${REDIS_PORT:6379}
spring.data.redis.repositories.enabled=false
spring.data.redis.database=${REDIS_DB:2}

# session
server.servlet.session.timeout=2592000
spring.session.store-type=redis

# osu!auth

spring.security.oauth2.client.registration.osu.clientId=${OSU_CLIENT_ID}
spring.security.oauth2.client.registration.osu.clientSecret=${OSU_CLIENT_SECRET}
spring.security.oauth2.client.registration.osu.redirect-uri=${OSU_CALLBACK}
spring.security.oauth2.client.registration.osu.authorization-grant-type=authorization_code
spring.security.oauth2.client.registration.osu.provider=osu

spring.security.oauth2.client.provider.osu.authorization-uri=https://osu.ppy.sh/oauth/authorize
spring.security.oauth2.client.provider.osu.token-uri=https://osu.ppy.sh/oauth/token
spring.security.oauth2.client.provider.osu.user-info-uri=https://osu.ppy.sh/api/v2/me/osu
spring.security.oauth2.client.provider.osu.user-name-attribute=username